glibmm: Glib::PropertyProxy_WriteOnly< T > Class Template Reference

glibmm 2.33.12

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glib::PropertyProxy_WriteOnly< T > Class Template Reference

See PropertyProxy(). More...

`#include <glibmm/propertyproxy.h>`

Inheritance diagram for Glib::PropertyProxy_WriteOnly< T >:
[legend]

List of all members.

## Public Types
typedef T | PropertyType

## Public Member Functions
| PropertyProxy_WriteOnly (ObjectBase* obj, const char* name)
void | set_value (const PropertyType& data)
| Set the value of this property.
void | reset_value ()
| Set the value of this property back to its default value.
PropertyProxy_WriteOnly< T >& | operator= (const PropertyType& data)
Public Member Functions inherited from Glib::PropertyProxy_Base
| PropertyProxy_Base (ObjectBase* obj, const char* property_name)
| PropertyProxy_Base (const PropertyProxy_Base& other)
SignalProxyProperty | signal_changed ()
| This signal will be emitted when the property changes.
ObjectBase* | get_object () const
const char* | get_name () const

## Additional Inherited Members
Protected Member Functions inherited from Glib::PropertyProxy_Base
void | set_property_ (const Glib::ValueBase&value)
void | get_property_ (Glib::ValueBase&value) const
void | reset_property_ ()
Protected Attributes inherited from Glib::PropertyProxy_Base
ObjectBase* | obj_
const char* | property_name_

## Detailed Description

### template<class T>
class Glib::PropertyProxy_WriteOnly< T >

See PropertyProxy().

This property can be written, but not read, so there is no get_value() method.

## Member Typedef Documentation

template <class T >

typedef T Glib::PropertyProxy_WriteOnly< T >::PropertyType

## Constructor & Destructor Documentation

template <class T >

Glib::PropertyProxy_WriteOnly< T >::PropertyProxy_WriteOnly | ( | ObjectBase* | obj,
|  | const char * | name
| ) |  |
| inline

## Member Function Documentation

template <class T >

PropertyProxy_WriteOnly<T>& Glib::PropertyProxy_WriteOnly< T >::operator= | ( | const PropertyType& | data | ) |
| inline

template <class T >

void Glib::PropertyProxy_WriteOnly< T >::reset_value | ( |  | ) |
| inline

Set the value of this property back to its default value.

template <class T >

void Glib::PropertyProxy_WriteOnly< T >::set_value | ( | const PropertyType& | data | ) |

Set the value of this property.

Parameters:

  data | The new value for the property.